JmxOperationInfoManager (Groovy 4.0.10)

Package: groovy.jmx.builder

## [Groovy] Class JmxOperationInfoManager

- groovy.jmx.builder.JmxOperationInfoManager

-     class JmxOperationInfoManager
      extends Object

  This class is responsible for assembling JMX Operation Info from the meta map. It cycles through the provided meta map from the bean() node and generate JMX Info objects used to expose information in the MBeanServer.

  See Also:
    JmxMetaMapBuilder

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JmxOperationInfoManager()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static List<MBeanParameterInfo>` | `buildParamInfosFromMaps(Map metaMap)` Build an array of MBeanParameterInfo from the operation's meta map.
    `` | `static ModelMBeanOperationInfo` | `createGetterOperationInfoFromProperty(MetaProperty prop)` Returns a MBean operation info for getter operation specified by the MetaProperty.
    `` | `static ModelMBeanOperationInfo` | `createSetterOperationInfoFromProperty(MetaProperty prop)` Returns a MBean operation info for setter operation specified by the MetaProperty.
    `` | `static ModelMBeanConstructorInfo` | `getConstructorInfoFromMap(Map map)` This method extracts ModelMBeanConstructorInfo from provided meta map.
    `` | `static List<ModelMBeanConstructorInfo>` | `getConstructorInfosFromMap(Map metaMap)` This method extracts an array of MBeanConstructorInfo from a list of meta maps.
    `` | `static ModelMBeanOperationInfo` | `getOperationInfoFromMap(Map map)` Generates a ModelMBeanOperationInfo object from a meta map provided.
    `` | `static List<ModelMBeanOperationInfo>` | `getOperationInfosFromMap(Map metaMap)` This method extracts an array of MBeanOperationInfo from a list of meta maps.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### JmxOperationInfoManager()

  - ### Method Detail

    - #### static List<MBeanParameterInfo> buildParamInfosFromMaps(Map metaMap)

      Build an array of MBeanParameterInfo from the operation's meta map.

      Parameters:
        `the` - meta map containing the param info
      Returns:
        an array of JMX MBeanParameterInfo

    - #### static ModelMBeanOperationInfo createGetterOperationInfoFromProperty(MetaProperty prop)

      Returns a MBean operation info for getter operation specified by the MetaProperty. Since no meta map is provided, this method will generate all default descriptor values to describe the operation.

      Parameters:
        `prop` - - the property object on the POGO/POJO that represents a getter
      Returns:
        a ModelMBeanOperation info built

    - #### static ModelMBeanOperationInfo createSetterOperationInfoFromProperty(MetaProperty prop)

      Returns a MBean operation info for setter operation specified by the MetaProperty. Since no meta data is provided, this method will generate all default descriptor values to describe operation.

      Parameters:
        `prop` - - the property object on the POGO/POJO that represents a setter
      Returns:
        a ModelMBeanOperation info built

    - #### static ModelMBeanConstructorInfo getConstructorInfoFromMap(Map map)

      This method extracts ModelMBeanConstructorInfo from provided meta map. It also iterates over any parameters and builds the necessary MBeanParameterInfo array.

      Parameters:
        `meta` - map containing descriptor information
      Returns:
        the fully realized ModelMBeanConstructorInfo for the provided constructor reference.

    - #### static List<ModelMBeanConstructorInfo> getConstructorInfosFromMap(Map metaMap)

      This method extracts an array of MBeanConstructorInfo from a list of meta maps.

      Parameters:
        `list` - of meta maps
      Returns:
        array of ModelMBeanConstructorInfo

    - #### static ModelMBeanOperationInfo getOperationInfoFromMap(Map map)

      Generates a ModelMBeanOperationInfo object from a meta map provided.

      Parameters:
        `the` - meta map for the method
      Returns:
        the generated ModelMBeanOperationInfo

    - #### static List<ModelMBeanOperationInfo> getOperationInfosFromMap(Map metaMap)

      This method extracts an array of MBeanOperationInfo from a list of meta maps.

      Parameters:
        `list` - of meta maps
      Returns:
        array of ModelMBeanOperationInfo